/*************************************************************************
 * This file is part of Crosroads 1.38, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/
#include "crossroads.h"

void copysockets (int clientsock, int serversock) {
    unsigned char buf[TCP_BUFSZ];

    /* Copy between client and server. Function net_copy() will
     * stop itself when either an error is seen, or when no more
     * data are there. */
    while (1)
	net_copy (clientsock, serversock, TCP_BUFSZ, buf);
}
